SYSTEMD-STDIO-BRIDGE(1)

BEZEICHNUNG
systemd-stdio-bridge - D-Bus-Proxy

ÜBERSICHT

systemd-stdio-bridge [OPTIONEN…]

BESCHREIBUNG

systemd-stdio-bridge implementiert einen Proxy zwischen STDIN/STDOUT und einem D-Bus. Es erwartet, beim Start eine offene Verbindung zwischen STDIN/STDOUT zu empfangen und wird eine neue Verbindung zu dem angegebenen Bus erstellen. Es wird Meldungen zwischen den zwei Verbindungen weiterleiten. Dieses Programm ist für Socket-Aktivierung geeignet: die erste Verbindung kann eine Pipe oder ein Socket sein und muss entweder als Standardeingabe oder als ein offener Dateideskriptor gemäß des in sd_listen_fds(3) beschriebenen Protokolls übergeben werden. Die zweite Verbindung erfolgt standardmäßig zum lokalen Systembus, dies kann aber mit den nachfolgend beschriebenen Optionen --user, --system, --machine= und --bus-path= beeinflusst werden.

sd-bus(3) verwendet systemd-stdio-bridge, um D-Bus-Verbindungen über ssh(1) weiterzuleiten oder sich als ein anderer Benutzer mit dem Bus zu verbinden, siehe sd_bus_set_address(3).

OPTIONEN

Die folgenden Optionen werden verstanden:

--user
    Kommuniziert mit dem Diensteverwalter des aufrufenden Benutzers statt mit dem Diensteverwalter des Systems.

--system
    Kommuniziert mit dem Diensteverwalter des Systems. Dies ist die implizite Vorgabe.

-M, --machine=
    Führt die Aktion in einem lokalen Container aus. Geben Sie den Namen des Containers an, zu dem verbunden werden soll. Optional kann diesem ein Benutzername, abgetrennt durch ein »@«-Zeichen, als der verbunden werden soll, vorangestellt werden. Falls die besondere Zeichenkette ».host« anstelle des Container-Names verwandt wird, wird eine Verbindung zu dem lokalen System aufgebaut (das ist nützlich, um sich zu dem Benutzerbus eines bestimmten Benutzers zu verbinden: »--user --machine=lennart@.host«. Falls die »@«-Syntax nicht verwandt wird, wird die Verbindung als Benutzer »root« vorgenommen. Falls die »@«-Syntax verwandt wird, kann entweder die linke oder die rechte Seite fortgelassen werden (aber nicht beide). In diesem Fall wird der lokale Benutzername und ».host« angenommen.

-p PFAD, --bus-path=PFAD
    Pfad zu der Bus-Adresse. Vorgabe: »unix:path=/run/dbus/system_bus_socket«

    Hinzugefügt in Version 251.

-q, --quiet
    Unterdrückt beim Fehlschlag die Fehlerprotokollierung.

    Hinzugefügt in Version 259.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

dbus-daemon(1), dbus-broker(1), D-Bus[1], systemd(1)

ANMERKUNGEN

1.  D-Bus
    https://www.freedesktop.org/wiki/Software/dbus

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).